%define name 	linphone
%define version 3.6.1
%define release %mkrel 4
%define url_ver %(echo %{version} | cut -d. -f1,2)

%define linphone_major 5
%define mediastreamer_major 3
%define lpcxml_major 0
%define libname_linphone %mklibname %{name} %{linphone_major}
%define libname_mediastreamer %mklibname mediastreamer %{mediastreamer_major}
%define liblpcxml %mklibname lpc2xml %{lpcxml_major}
%define libname_devel %mklibname -d %{name}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Voice over IP Application
License: 	GPLv2+
Group: 		Communications/Telephony
URL: 		http://www.linphone.org/
Source0:	http://download-mirror.savannah.gnu.org/releases/linphone/%{url_ver}.x/sources/%{name}-%{version}.tar.gz
Patch0:         linphone-3.6.1-imagedir.patch
Patch1:		linphone-3.6.1-link.patch
Patch3:		linphone-exosip-4.0.0.patch
BuildRequires:	automake
BuildRequires:	alsa-lib-devel
BuildRequires:	desktop-file-utils
BuildRequires: pkgconfig(glew) >= 1.5
BuildRequires: pkgconfig(gthread-2.0)
BuildRequires: pkgconfig(gtk+-2.0) >= 2.22.0
BuildRequires: pkgconfig(libavcodec) >= 51.0.0
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(libpulse) >= 0.9.21
BuildRequires: pkgconfig(libsoup-2.4) >= 2.26
BuildRequires: pkgconfig(libssl) >= 0.9.8
BuildRequires: pkgconfig(libswscale) >= 0.7.0
BuildRequires: pkgconfig(libupnp) >= 1.6
BuildRequires: pkgconfig(libupnp) < 1.7
BuildRequires: pkgconfig(libv4l2)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(opus) >= 0.9.0
BuildRequires: pkgconfig(ortp) >= 0.21.0
BuildRequires: pkgconfig(sdl) >= 1.2.0
BuildRequires: pkgconfig(spandsp) >= 0.0.6
BuildRequires: pkgconfig(speex) >= 1.1.6
BuildRequires: pkgconfig(speexdsp)
BuildRequires: pkgconfig(sqlite3) >= 3.7.0
BuildRequires: pkgconfig(theora) >= 1.0alpha7
BuildRequires: pkgconfig(vpx) >= 0.9.6
BuildRequires:	exosip-devel >= 3.1.0
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	gsm-devel
BuildRequires:	intltool
BuildRequires:	libxv-devel
BuildRequires:	libxext-devel
BuildRequires:	libx11-devel
BuildRequires:	libosip2-devel >= 3.1.0
BuildRequires:	readline-devel
BuildRequires:	speex-devel
BuildRequires:	vim-common

%description
Linphone is web-phone with a GNOME2 interface. It uses open protocols
such as SIP and RTP to make the communications.

%package -n     %{libname_linphone}
Summary:        Primary library for %{name}
Group:          System/Libraries

%description -n %{libname_linphone}
Primary library for %{name}.

%package -n     %{libname_mediastreamer}
Summary:        Media Streaming library for %{name}
Group:          System/Libraries

%description -n %{libname_mediastreamer}
Media Streaming library for %{name}.

%package -n	%{liblpcxml}
Summary:	Shared libs for %{name}
Group:		System/Libraries

%description -n %{liblpcxml}
Shared libs for %{name}.

%package -n     %{libname_devel}
Summary:        Header files and static libraries from %{name}
Group:          Development/C
Requires:       %{libname_linphone} = %{version}-%{release}
Requires:	%{liblpcxml} = %{version}-%{release}
Requires:	%{libname_mediastreamer} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      %{name}-devel < %{version}-%{release}
Obsoletes:      %mklibname -d %{name} 1

%description -n %{libname_devel}
Libraries and includes files for developing programs based on %{name}.

%prep
%setup -q
find '(' -name '*.c' -o -name '*.h' ')' -print0 | xargs -0 sed -i -e 's,\r$,,'
%patch0 -p0 -b .image-dir
%patch1 -p0 -b .link
%patch3 -p1 -b .exo

%build
./autogen.sh
( pushd mediastreamer2
./autogen.sh
%before_configure
popd )

%configure2_5x \
    --disable-static \
    --disable-rpath \
    --enable-alsa \
    --disable-strict \
    --enable-external-ortp \
    --enable-ipv6
%make

%install
%makeinstall_std

%find_lang %{name} --all-name

desktop-file-install \
	--vendor="" \
	--add-category="VideoConference" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/linphone.desktop

# remove unwanted docs, generated if doxygen is installed
rm -rf %{buildroot}%{_docdir}/ortp %{buildroot}%{_docdir}/mediastreamer

# don't ship .la:
rm -f %{buildroot}%{_libdir}/*.la

%files -f %{name}.lang
%doc COPYING README AUTHORS BUGS INSTALL ChangeLog
%doc %{_datadir}/gnome/help/%{name}
%{_bindir}/linphone*
%{_bindir}/mediastream
%{_bindir}/lpc2xml_test
%{_bindir}/xml2lpc_test
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%{_datadir}/pixmaps/%{name}
%{_datadir}/sounds/%{name}
#{_datadir}/tutorials/%%{name}
%{_datadir}/images/linphone/nowebcamCIF.jpg
%{_datadir}/applications/*
%{_datadir}/linphone

%files -n %{libname_linphone}
%{_libdir}/liblinphone.so.%{linphone_major}*

%files -n %{liblpcxml}
%{_libdir}/liblpc2xml.so.%{lpcxml_major}*
%{_libdir}/libxml2lpc.so.%{lpcxml_major}*

%files -n %{libname_mediastreamer}
%{_libdir}/libmediastreamer_base.so.%{mediastreamer_major}*
%{_libdir}/libmediastreamer_voip.so.%{mediastreamer_major}*

%files -n %{libname_devel}
%{_includedir}/linphone
%{_includedir}/mediastreamer2
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.6.1-4.mga4
+ Revision: 530647
- Mageia 4 Mass Rebuild

* Fri Jul 26 2013 sander85 <sander85> 3.6.1-3.mga4
+ Revision: 458677
- Rebuild for new glew

* Thu Jul 11 2013 fwang <fwang> 3.6.1-2.mga4
+ Revision: 452778
- rebuild for new ffmpeg

* Fri Jun 28 2013 fwang <fwang> 3.6.1-1.mga4
+ Revision: 447717
- update patch series
- update file list and libmajor
- update file list
- add patch from pld-linux to build with exosip 4.0
- br vim
- bump ortp req
- update br
- new version 3.6.1

* Sat Jan 12 2013 umeabot <umeabot> 3.5.2-5.mga3
+ Revision: 358833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 3.5.2-4.mga3
+ Revision: 341733
- fix build with automake 1.13
- rebuild for new ffmpeg

  + luigiwalser <luigiwalser>
    - BR automake

* Sat Oct 20 2012 malo <malo> 3.5.2-2.mga3
+ Revision: 308465
- update RPM group

* Fri Jun 01 2012 fwang <fwang> 3.5.2-1.mga3
+ Revision: 252815
- update file list
- more patch
- more patch
- fix build with latest ffmpeg 0.11

* Mon Mar 05 2012 fwang <fwang> 3.5.2-1.mga2
+ Revision: 218368
- update file list
- new version 3.5.2

* Fri Mar 02 2012 fwang <fwang> 3.5.0-2.mga2
+ Revision: 216670
- rebuild for new vpx

* Tue Dec 27 2011 fwang <fwang> 3.5.0-1.mga2
+ Revision: 188087
- use external ortp
- update file list
- update file list
- fix linkage
- new version 3.5.0
- rebuild for new exosip

* Fri Jun 24 2011 fwang <fwang> 3.4.3-1.mga2
+ Revision: 113126
- new version 3.4.3

* Thu Jan 20 2011 ahmad <ahmad> 3.3.2-2.mga1
+ Revision: 27055
- imported package linphone


* Fri Dec 17 2010 Funda Wang <fwang@mandriva.org> 3.3.2-2mdv2011.0
+ Revision: 622478
- rebuild for new directfb

* Fri Aug 06 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.3.2-1mdv2011.0
+ Revision: 566544
- update to 3.3.2
- drop patch1,2 not needed any more (Fedora)
- drop patch5, package compiles without it
- bump some BR versions
- add BR libv4l-devel
- improve configure options
- delete .la files
- update file list
- remove 'mdkversion < 200900' bits, too old

* Wed Apr 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 3.2.1-3mdv2010.1
+ Revision: 532827
- rebuild for openssl-1.0.0

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 3.2.1-2mdv2010.1
+ Revision: 511590
- rebuilt against openssl-0.9.8m

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 3.2.1-1mdv2010.1
+ Revision: 463377
- New version 3.2.1

* Sun Nov 08 2009 Funda Wang <fwang@mandriva.org> 3.2.0-2mdv2010.1
+ Revision: 463085
- rebuild for new dfb

* Sun Sep 20 2009 Funda Wang <fwang@mandriva.org> 3.2.0-1mdv2010.0
+ Revision: 444882
- New version 3.2.0

* Tue May 05 2009 Funda Wang <fwang@mandriva.org> 3.1.2-1mdv2010.0
+ Revision: 372141
- New version 3.1.2

* Thu Mar 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.0.0-4mdv2009.1
+ Revision: 354275
- drop previous hack, invalid syntax
- fix build dependencies to use ortp from external package, instead of the one from previous linphone release
- rebuild for latest realine

  + Emmanuel Andry <eandry@mandriva.org>
    - diff P4 and P6 from upstream svn to fix build
    - diff P5 to fix str fmt
    - diff P7 to fix ortp linking
    - rediff P0
    - use external ortp
    - enable ipv6

* Sun Nov 09 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-2mdv2009.1
+ Revision: 301476
- rebuilt against new libxcb

* Mon Oct 20 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0.0-1mdv2009.1
+ Revision: 295692
- 3.0.0
- drop P3, better ffmpeg header fix upstream
- fix weird intltoolize error (P3)
- fix deps

* Sat Jun 28 2008 Oden Eriksson <oeriksson@mandriva.com> 2.1.1-2mdv2009.0
+ Revision: 229665
- fix deps

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed May 28 2008 Funda Wang <fwang@mandriva.org> 2.1.1-1mdv2009.0
+ Revision: 212680
- BR intltool
- New version 2.1.1
- add patch from fedora
- add patch for new ffmpeg header locations

* Fri Feb 22 2008 Colin Guthrie <cguthrie@mandriva.org> 2.1.0-2mdv2008.1
+ Revision: 173794
- Fix libification

* Fri Feb 01 2008 Austin Acton <austin@mandriva.org> 2.1.0-1mdv2008.1
+ Revision: 160987
- new version
- configure 2.5

  + Colin Guthrie <cguthrie@mandriva.org>
    - Add libeXosip2 to BuildRequires
    - Undo BuildRequire "fix" that was incorrect.
    - Fix build requires (libosip2-devel not libosip-devel)
    - Comply with new library policy
    - Remove old patches
    - Fix .desktop icon extension
    - Upgrade to 2.0.1 (for libosip2-3.x)

  + Thierry Vignaud <tv@mandriva.org>
    - fix libosip-devel BR, reverting bogus change
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 26 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.7.1-4mdv2008.0
+ Revision: 56018
- Replaced docbook-utils buildrequire with gtk-doc.

* Wed Jul 25 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.7.1-3mdv2008.0
+ Revision: 55490
- Added missing BuildRequires for docbook-utils.

* Tue Jul 24 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.7.1-2mdv2008.0
+ Revision: 55044
- Fixes for ticket #27731:
  * help contents aren't shown when you click on help menu.
  * possibly missing icons, added compatibility symlinks for some icon
    directories.

* Wed Jun 13 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.7.1-1mdv2008.0
+ Revision: 38894
- Added BuildRequires for desktop-file-utils.
- Removed some now uneeded BuildRequires.
- Build fixes.
- Updated to version 1.7.1.
- Removed old menu, switch to freedesktop icon scheme.

* Mon May 07 2007 Lenny Cartier <lenny@mandriva.org> 1.6.0-3mdv2008.0
+ Revision: 24006
- Fix xdg
- Fix menu section (Bug #15268)


* Thu Jan 25 2007 Lenny Cartier <lenny@mandriva.com> 1.6.0-1mdv2007.0
+ Revision: 113350
- Update to 1.6.0

* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.5.1-1mdv2007.1
+ Revision: 101492
- 1.5.1
- patch0: fix a compilation warning on ppc

* Tue Oct 31 2006 Stefan van der Eijk <stefan@mandriva.org> 1.5.0-1mdv2007.1
+ Revision: 74402
- 1.5.0
- Import linphone

* Thu Mar 09 2006 Austin Acton <austin@mandriva.org> 1.3.0-1mdk
- New release 1.3.0

* Tue Feb 14 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdk
- mutliarch fixes

* Mon Feb 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- 1.2.0
- fix deps

* Tue Jan 31 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1.0-5mdk
- add BuildRequires: docbook-dtd30-sgml

* Fri Jan 27 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.1.0-4mdk
- add BuildRequires: libspeex-devel docbook-dtd41-sgml

* Wed Nov 30 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdk
- rebuilt against openssl-0.9.8a
- added some lib64 fixes

* Thu Sep 01 2005 Austin Acton <austin@mandriva.org> 1.1.0-2mdk
- fix menu

* Fri Aug 26 2005 Austin Acton <austin@mandriva.org> 1.1.0-1mdk
- 1.1.0
- fix source URL

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.0.1-1mdk
- New release 1.0.1

* Tue Mar 22 2005 Frederic Lepied <flepied@mandrakesoft.com> 1.0.0-1mdk
- final 1.0.0

* Mon Feb 14 2005 Austin Acton <austin@mandrake.org> 1.0.0-0.pre8.2mdk
- fix botched upload

* Thu Feb 10 2005 Austin Acton <austin@mandrake.org> 1.0.0-0.pre8.1mdk
- 1.0.0pre8
- add libs
- configure 2.5

* Thu Jul 15 2004 Michael Reinsch <mr@uue.org> 0.12.2-3mdk
- rebuild again for fixed alsa which broke broken alsa

* Tue Jun 22 2004 Michael Reinsch <mr@uue.org> 0.12.2-2mdk
- rebuild for new alsa

* Sat Apr 24 2004 Stefan van der Eijk <stefan@eijk.nu> 0.12.2-1mdk
- 0.12.2
- BuildRequires perl-XML-Parser (temp)

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.12.1-2mdk
- Fix menu

* Mon Feb 16 2004 Austin Acton <austin@mandrake.org> 0.12.1-1mdk
- 0.12.1
- fix buildrequires

